# CLI Overview

Welcome to CITROS. [CITROS](https://citros.io/) serves as an innovative tool for executing ROS2 project simulations, automating integration, and conducting in-depth performance analysis.

The CITROS CLI offers ROS 2 developers a seamless interface to launch multiple ROS simulations for a specific project with just a single command. Beyond setting static parameter values, it empowers users with the flexibility to utilize function objects. This means you can craft dynamic simulation environments where each execution produces unique parameter values, whether they're sourced from standard numpy functions or tailored via user-defined computations. Moreover, these operations can be executed offline without relying on any external dependencies.

For additional information, please refer to the CITROS documentation. This will provide you with comprehensive insights and detailed instructions for effective usage of CITROS and full suite of features.

We are dedicated to enriching your ROS project simulation experience, and this package is our contribution to that cause.

## Table of Contents
1. [Quick Start](doc/overview/cli_quickstart.md)
2. [Installation](doc/overview/cli_install.md)
4. [CLI Commands](doc/commands/cli_commands.md)
5. [Citros Repository directory and file Structure](doc/structure/citros_structure.md) 
6. [Citros Repository Configuration](doc/configuration/config_params.md)
7. [User Templates](doc/user_templates.md)

